Upload from URL (sync)
curl --request POST \
--url https://media.postflow.app/api/v1/upload/url/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_url": "<string>"
}
'import requests
url = "https://media.postflow.app/api/v1/upload/url/sync"
payload = { "file_url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_url: '<string>'})
};
fetch('https://media.postflow.app/api/v1/upload/url/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"user_id": "<string>",
"media_folder_id": "<string>",
"is_media_library": true,
"type": 1,
"url": "<string>",
"client_name": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"extension": "<string>",
"size": 123,
"thumbnail": "<string>",
"preview": "<string>",
"width": 123,
"height": 123,
"aspect_ratio": 123,
"duration": 123,
"fps": 123,
"video_thumbnail_frame": "<string>",
"video_thumbnail_custom": "<string>",
"video_thumbnail_time": 123,
"page_count": 123,
"page_previews": [
"<string>"
],
"conversions": [
"<string>"
],
"alt_text": "<string>",
"pivot_alt_text": [
"<string>"
],
"note": "<string>",
"origin": 1,
"is_processing": true,
"is_converted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Media
Upload from URL (sync)
POST
/
upload
/
url
/
sync
Upload from URL (sync)
This endpoint uses a different base URL:
https://media.postflow.app/api/v1Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
URL of the file to download and upload.
Response
MediaData
The ID of the user who uploaded the media
Determines whether the media is part of the media library
1 Image
2 Video
3 Audio
4 Document
5 Subtitles
Available options:
1, 2, 3, 4, 5 Number of pages in the PDF document
1 Import
2 ClickUp
3 GoogleDrive
4 Dropbox
5 Tenor
6 PostComment
7 Api
Available options:
1, 2, 3, 4, 5, 6, 7 The media has been converted to ensure compatibility with social platforms